import { IgxCancelEventArgs } from "igniteui-angular-core";
import { SpreadsheetHyperlinkExecutingEventArgs as SpreadsheetHyperlinkExecutingEventArgs_internal } from "./SpreadsheetHyperlinkExecutingEventArgs";
import { WorksheetHyperlink } from "igniteui-angular-excel";
/**
 * Event arguments for the
 * hyperlinkExecuting event.
*/
export declare class IgxSpreadsheetHyperlinkExecutingEventArgs extends IgxCancelEventArgs {
    /**
                                 * @hidden
                                 */
    get i(): SpreadsheetHyperlinkExecutingEventArgs_internal;
    constructor();
    /**
     * Returns the hyperlink to be executed.
    */
    get hyperlink(): WorksheetHyperlink;
    /**
     * Returns or sets the working directory to use when the hyperlink is a file reference.
    */
    get workingDirectory(): string;
    set workingDirectory(v: string);
}
